## org.apache.lucene.queryParser.standard.config
Interface AnalyzerAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  AnalyzerAttributeImpl

    public interface AnalyzerAttribute

extends Attribute

This attribute is used by `AnalyzerQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. It provides to this processor the `Analyzer`, if there is one, which will be used to analyze the query terms.

Method Summary
`Analyzer` `getAnalyzer()`
`void` `setAnalyzer(Analyzer analyzer)`

Method Detail

### setAnalyzer

    void setAnalyzer(Analyzer analyzer)

### getAnalyzer

    Analyzer getAnalyzer()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.